High-Level Data Reduction Library: hdrl_catalogue_table

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_catalogue_table
Catalogue

Table for the catalogue. More...

Collaboration diagram for hdrl_catalogue_table:

## Functions
cpl_error_code | hdrl_tabinit (ap_t *ap, cpl_size *xcol, cpl_size *ycol, hdrl_catalogue_options cattype, cpl_table **tab, hdrl_casu_result *res)
| Initialize catalogues.
cpl_error_code | hdrl_do_seeing (ap_t *ap, cpl_size nobjects, cpl_table *tab)
| Do seeing estimate.
cpl_error_code | hdrl_process_results (ap_t *ap, double gain, cpl_size *nobjects, cpl_table *tab, hdrl_casu_result *res)
| Process the results for each object and store them in the table.

## Detailed Description

Table for the catalogue.

## Function Documentation

## ◆ hdrl_do_seeing()

cpl_error_code hdrl_do_seeing | ( | ap_t * | ap,
|  | cpl_size | nobjects,
|  | cpl_table * | tab
| ) |  |

Do seeing estimate.

Parameters

  ap | The current ap structure
  nobjects | Number of objects
  tab |

Returns
  CPL_ERROR_NONE if all went well (Currently it's the only value).

Description: Wrapper routine to call the relevant routine to work out the seeing for each of the allowed types of catalogues. Areal profiles are analysed and a seeing estimate is extracted.

## ◆ hdrl_process_results()

cpl_error_code hdrl_process_results | ( | ap_t * | ap,
|  | double | gain,
|  | cpl_size * | nobjects,
|  | cpl_table * | tab,
|  | hdrl_casu_result * | res
| ) |  |

Process the results for each object and store them in the table.

Parameters

  ap | The current ap structure
  gain | The header keyword with the gain in e-/ADU
  nobjects |
  tab |
  res |

Returns
  CPL_ERROR_NONE if all is well. CPL_ERROR_ILLEGAL_INPUT if peak flux < 0

Description: Wrapper routine to call the relevant routine to work out the results for each of the allowed types of catalogues. The pixel processing is done for all the parameters wanted.

## ◆ hdrl_tabinit()

cpl_error_code hdrl_tabinit | ( | ap_t * | ap,
|  | cpl_size * | xcol,
|  | cpl_size * | ycol,
|  | hdrl_catalogue_options | cattype,
|  | cpl_table ** | tab,
|  | hdrl_casu_result * | res
| ) |  |

Initialize catalogues.

Parameters

  ap | The current ap structure
  xcol |
  ycol |
  cattype | The type of catalogue to be produced
  tab |
  res |

Returns
  CPL_ERROR_NONE if all went well and CPL_ERROR_ILLEGAL_INPUT if catalogue type is unrecognised.

Description: Wrapper routine to call the relevant initialisation routine for each of the allowed types of catalogues.